Loading...
Searching...
No Matches
VmaDeviceMemoryCallbacks Struct Reference
Library initialization

Set of callbacks that the library will call for vkAllocateMemory and vkFreeMemory. More...

## Public Attributes

PFN_vmaAllocateDeviceMemoryFunction | pfnAllocate
| Optional, can be null.
PFN_vmaFreeDeviceMemoryFunction | pfnFree
| Optional, can be null.
void * | pUserData
| Optional, can be null.

## Detailed Description

Set of callbacks that the library will call for vkAllocateMemory and vkFreeMemory.

Provided for informative purpose, e.g. to gather statistics about number of allocations or total amount of memory allocated in Vulkan.

Used in VmaAllocatorCreateInfo::pDeviceMemoryCallbacks.

## Member Data Documentation

## pfnAllocate

PFN_vmaAllocateDeviceMemoryFunction VmaDeviceMemoryCallbacks::pfnAllocate

Optional, can be null.

## pfnFree

PFN_vmaFreeDeviceMemoryFunction VmaDeviceMemoryCallbacks::pfnFree

Optional, can be null.

## pUserData

void* VmaDeviceMemoryCallbacks::pUserData

Optional, can be null.

The documentation for this struct was generated from the following file:

- vk_mem_alloc.h